by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Sep 03 2018 15:17
    jurre closed #526
  • Sep 03 2018 14:33
    guillaumealgis commented #526
  • Sep 03 2018 14:33
    guillaumealgis commented #526
  • Sep 03 2018 09:51
    shenerJ commented #526
  • Jul 11 2018 06:22
    kwezdj123 closed #528
  • Jul 11 2018 03:26
    kwezdj123 commented #528
  • Jul 11 2018 03:20
    kwezdj123 commented #528
  • Jul 11 2018 03:19
    kwezdj123 opened #528
  • May 30 2018 18:14
    Marashni closed #527
  • May 30 2018 18:14
    Marashni edited #527
  • May 30 2018 18:13
    Marashni opened #527
  • May 23 2018 15:55
    guillaumealgis commented #524
  • May 23 2018 15:08
    mike-lischke commented #524
  • May 23 2018 15:08
    mike-lischke commented #524
  • May 23 2018 14:20
    guillaumealgis commented #524
  • May 23 2018 14:18
    alanhamlett commented #526
  • May 23 2018 14:17
    alanhamlett commented #524
  • May 23 2018 12:51
    mike-lischke commented #524
  • May 23 2018 12:47
    jurre closed #524
  • May 23 2018 12:47
    jurre commented #524
Pavlos Vinieratos
@pvinis
interesting
maybe it just needs the 6.3 UUID
Mihri
@mihriminaz
supermarin/Alcatraz#73 ok i will try this thanks
Mihri
@mihriminaz
didn't work
:worried:
rbwimir
@rbwimir
hi how to install alcatraz on Xcode 6.3.2?
just reinstalled it too
but on your next xcode start it will ask for loading bundles. just click load
rbwimir
@rbwimir
ok I try it
doesn't work
Pavlos Vinieratos
@pvinis
dont know. worked for me
sometimes its a bit weird. maybe just try again
Michael Davis
@mjmdavis
Has anyone been having trouble installing plugins on Xcode 6.3.1?
I can install Color Themes but plugins don't seem to work.
I click install and the progress bar starts to fill and then pops back to the install button
ohhhh
proxy issue
Xcode: Git Clone output: Cloning into '/Users/*/Library/Application Support/Alcatraz/Plug-ins/ClangFormat'...
fatal: unable to access 'https://github.com/travisjeffery/ClangFormat-Xcode/': Could not resolve host: github.com
Michael Davis
@mjmdavis
ok, it seems that setting global proxy settings in git fixes this
git config --global http.proxy http://proxyuser:proxypwd@proxy.server.com:8080
git config --global https.proxy https://proxyuser:proxypwd@proxy.server.com:8080
Hepeng Zhang
@hepengzhang
Hi, I installed Alcatraz, but xcode 6.3.2 doesn't show it
any clue?
I restarted
Hepeng Zhang
@hepengzhang
It seems the plugins are there, but the "Package manager" is missing from Window menu
Hugo
@hggz
anyone having trouble getting packages to work on xcode 6.4?
Pavlos Vinieratos
@pvinis
i cannot make alcatraz work at all on 6.4
Pavlos Vinieratos
@pvinis
fucking uuids. everything would be so much better if the uuid would be inserted automatically, so we dont need to work without our plugins for a week every time a new xcode comes
the whole purpose of a plugin manager is to manage your plugins. if even the plugin manager stops working, whats the point?
Guillaume Algis
@guillaumealgis

everything would be so much better if the uuid would be inserted automatically

There would probably also be a lot more crashes. UUID's purpose is to ensure that the plugin maintainer tests and updates his/her plugin before allowing Xcode to load the code. This is particularly relevant as AFAIK Xcode doesn't exposes a public API for plugins, so they just hook into private methods. Have the developer say "yes, my plugin still works on this version" explicitly is IMO a good thing.

If you're particularly eager to use the new Xcode version and really can't work without plugins (which I can understand) there is a bash script floating around in recent Alcatraz issues to add Xcode's UUID to all your installed plugins (but then expect crashes ;) )

Seo Jin
@comcxx11
!
IRSHAD PC
@irshadpc
!
Josep M. "Txus" Bach
@txus
I think installing Alcatraz broke my Xcode 7 GM (on El Capitan GM)
Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       EXC_I386_GPFLT
Exception Note:        EXC_CORPSE_NOTIFY

Application Specific Information:
objc_msgSend() selector name: retain
ProductBuildVersion: 7A220

Global Trace Buffer (reverse chronological seconds):
4.633771     CFNetwork                     0x00007fff9276c07b TCP Conn 0x7faa850522f0 SSL Handshake DONE
5.179289     CFNetwork                     0x00007fff9276bf57 TCP Conn 0x7faa850522f0 starting SSL negotiation
5.180699     CFNetwork                     0x00007fff9276a927 TCP Conn 0x7faa850522f0 complete. fd: 51, err: 0
5.184651     CFNetwork                     0x00007fff927f9121 TCP Conn 0x7faa850522f0 event 1. err: 0
5.433831     CFNetwork                     0x00007fff92769bf7 TCP Conn 0x7faa850522f0 started
5.482427     CFNetwork                     0x00007fff9272d75e Creating default cookie storage with process/bundle identifier
5.482427     CFNetwork                     0x00007fff9272d6f6 Faulting in CFHTTPCookieStorage singleton
5.482427     CFNetwork                     0x00007fff9272d585 Faulting in NSHTTPCookieStorage singleton
5.520045     CFNetwork                     0x00007fff9282b3b4 NSURLConnection finished with error - code -1100
Even after uninstalling and removing everything completely, it still happens :(
when opening any project
Danil Gontovnik
@gontovnik
Hey guys
Does it work for you on Xcode 7?
Pavlos Vinieratos
@pvinis
yes
Mumen Shabaro
@mumensh
Hello
Kevin Cui
@cuiguoyang
it's not working on xcode 7 on mac os x 10.11
Fang Wei Hsu
@davidhsu1115
this is not working on Xcode 7.1 on osx 10.10 do you guys have same problem?
Wallace Souza
@ssouzawallace
I'm looking for a solution to use it with XC 7.1 too
until 7.0 was working fine
Fang Wei Hsu
@davidhsu1115
I have already found the solution for this problem
Tien Vu
@Tj3n
how do i update this? do i need to uninstall and reinstall?
Tien Vu
@Tj3n
it does not work for XC7.1 :(??
Wallace Souza
@ssouzawallace
@davidhsu1115 can you help me?
Marin Usalj
@supermarin
@ssouzawallace have you tried updating from alcatraz.io?
Steven Masini
@StevenMasini
I got the same problem here since I updated my XCode to 7.1 yesterday. It seems XCode 7.1 doesn't load the plugin anymore. I tried to uninstall and re-install, but it changes nothing.